ioctl_fs(2)

NAME
ioctl_fs - filesystem operations

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/fs.h>  /* Definition of op constants */
#include <sys/ioctl.h>

int ioctl(int fd, unsigned long op, ...);

DESCRIPTION
The following op values are available.

  Share some of the data of one file with another file

FICLONE(2const)
FICLONERANGE(2const)

FIDEDUPERANGE(2const)

  Operations for inode flags

FS_IOC_GETFLAGS(2const)
FS_IOC_SETFLAGS(2const)

  Get or set a filesystem label

FS_IOC_GETFSLABEL(2const)
FS_IOC_SETFSLABEL(2const)

  Get and/or clear page flags

PAGEMAP_SCAN(2const)

RETURN VALUE
On success, a nonnegative value is returned. On error, -1 is returned, and errno is set to indicate the error.

STANDARDS
Linux.

SEE ALSO
ioctl(2)